#----------------------------------------------------------------------
# Name:        config.py
# Purpose:     Reads the config
#
# Author:      Kristofer Goransson
#
# Created:     2003 Kristofer Goransson
# Copyright:   (c) 2003 
# Licence:     GPL
#----------------------------------------------------------------------

import ConfigParser

class Config:
    def __init__(self):
        self.readConfig()

    def readConfig(self):
        self.cfg = ConfigParser.ConfigParser()
        cfgfp = open('config.cfg', 'r')
        self.cfg.readfp(cfgfp)
        cfgfp.close()

    def getSettings(self, section):
        dict = {}
        for option in self.cfg.options(section):
            dict[option]=self.cfg.get(section,option)
        return dict

    def getSetting(self, section, option):
        return self.cfg.get(section, option)
