#----------------------------------------------------------------------
# Name:        siteo.py
# Purpose:     Site object
#
# Author:      Kristofer Goransson
#
# Created:     2003 Kristofer Goransson
# Copyright:   (c) 2003 
# Licence:     GPL
#---------------------------------------------------------------------- 
class Site:
    def __init__(self, name, url, number, enc, link, hidden=False, owner='Admin'):
        self.name = name
        self.url = url
        self.hidden = hidden
        self.number = number
        self.added = 0
        self.check = 0
        self.cache = None
        self.owner = owner
        self.encoding = enc
        self.link = link

    def getName(self):
        return self.name

    def getUrl(self):
        return self.url

    def getHidden(self):
        return self.hidden

    def getOwner(self):
        return self.owner

    def setOwner(self, jid):
        self.owner = jid

    def setUrl(self, url):
        self.url = url

    def getNumber(self):
        return self.number

    def setNumber(self, num):
        self.number = num

    def setName(self, name):
        self.name = name
    
    def addAdded(self):
        self.added += 1

    def delAdded(self):
        if self.added != 0:
            self.added -= 1

    def getAdded(self):
        return self.added

    def setCache(self, data):
        self.cache = data

    def getCache(self):
        return self.cache

    def addCheck(self):
        self.check += 1

    def getCheck(self):
        return self.check

    def getEncoding(self):
        try:
            return self.encoding
        except:
            self.encoding = 'latin-1'
            return self.encoding

    def setEncoding(self, enc):
        self.encoding = enc

    def getLink(self):
        return self.link

    def setLink(self, link):
        self.link = link

