#----------------------------------------------------------------------
# Name:        stats.py
# Purpose:     Bot statistics
#
# Author:      Kristofer Goransson
#
# Created:     2003 Kristofer Goransson
# Copyright:   (c) 2003 
# Licence:     GPL
#---------------------------------------------------------------------- 
class Stats:
    def __init__(self, parent):
        self.main = parent
        self.received = 0
        self.send = 0
        self.check = 0
        self.uptime = 0

    def addReceived(self):
        self.received += 1

    def addSend(self):
        self.send += 1

    def addCheck(self):
        self.check += 1

    def getNumUsers(self):
        return len(self.main.getUsers())

    def addUptime(self, secs):
        self.uptime += secs

    def getUptime(self):
        return self.uptime/60

    def getStats(self):
        return self.getUptime(), self.getNumUsers(), self.send, self.received, self.check
        
